#? As requested in the task. PDB is also configured
replicaCount: 2

image:
  repository: registry
  pullPolicy: IfNotPresent
  tag: "2.8.1"

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  create: true
  annotations: {}

podAnnotations: {}

service:
  type: ClusterIP
  port: 5000
  targetPort: 5000

#? Configure resources for Deployment
resources:
  limits:
    cpu: 100m
    memory: 128Mi
  requests:
    cpu: 100m
    memory: 128Mi

#? Define PVC Configuration
volume:
  size: 10Gi
  storageClassName: local-path

#? Docker Registry default configuration
config:
  data:
    version: 0.1
    log:
      fields:
        service: registry
    storage:
      cache:
        blobdescriptor: redis
      filesystem:
        rootdirectory: /var/lib/registry
      delete:
        enabled: true
    http:
      addr: :5000
      secret: required-for-ha
      headers:
        X-Content-Type-Options: [nosniff]
    health:
      storagedriver:
        enabled: true
        interval: 10s
        threshold: 3
      tcp:
        - addr: registry-redis-master:6379
          timeout: 5s
          interval: 10s
          threshold: 3
    prometheus:
      enabled: false
      path: /metrics
    redis:
      addr: registry-redis-master:6379
      password: ""
      db: 0
      dialtimeout: 50ms
      readtimeout: 50ms
      writetimeout: 50ms
      pool:
        maxidle: 16
        maxactive: 64
        idletimeout: 300s

#? Configure Ingress
ingress:
  enabled: true
  annotations:
    cert-manager.io/cluster-issuer: qts-issuer
    kubernetes.io/ingress.class: "traefik"
  hosts:
    - host: registry.qts.cloud
      paths:
        - path: /
          pathType: Prefix
  tls:
    - secretName: registry-ingress-tls
      hosts:
        - registry.qts.cloud

#? Docker Registry Cleanup
cleanup:
  image:
    repository: ibacalu/registry_clean
    #? Overrides the image tag whose default is the chart appVersion.
    tag: ""
  config:
    repositories:
      ibacalu/alpine: 1
      ibacalu/ubuntu: 1

#? Subchart Configuration
redis:
  # architecture: replication
  architecture: standalone
